#!/usr/bin/env gnuplot -c
# == DEFINICIONS ==
outputfile = 'vprofile1' # Nom de la imatge resultant (sense extensió)

# == CONFIGURACIÓ DE L'OUTPUT PEL LATEX ==
set terminal cairolatex size 10cm, 7.5cm font ",10"
set output outputfile.'.tex'

# == CONFIGURACIÓ DEL PLOT ==
set xlabel '$v_x$'
set ylabel '$z$'

unset key

set arrow 2 from 0,0.25 to 0.5,0.25 lc 3 size 0.08,17
set arrow 3 from 0,0.5 to 1,0.5 lc 3 size 0.08,17
set arrow 4 from 0,0.75 to 1.5,0.75 lc 3 size 0.08,17
set arrow 5 from 0,1 to 2,1 lc 3 size 0.08,17
set arrow 6 from 0,1.25 to 2.25,1.25 lc 3 size 0.08,17
set arrow 7 from 0,1.5 to 2.5,1.5 lc 3 size 0.08,17
set arrow 8 from 0,1.75 to 2.75,1.75 lc 3 size 0.08,17
set arrow 9 from 0,2 to 3,2 lc 3 size 0.08,17
set arrow 1 from 0,1 to 3,1 nohead

f(x) = (x > 2 ? x - 1 : 0.5*x )
plot [0:3] f(x)

# == CONFIGURACIÓ DE L'OUTPUT PER SVG ==
# Això ho uso per generar també una imatge de previsualització que puc carregar
# a l'ordinador per veure més o menys com a sortit el plot sense haver
# d'inserir-ho al LaTeX per veure-ho.
set terminal svg dashed size 600, 600 font "Computer Modern,Tinos,Helvetica,15"
set output outputfile.'.svg'
replot
